<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Saudara Kandung</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Saudara Kandung
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Saudara Kandung</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Saudara dari</h3>
                    <h3 class="box-title" th:text="${employes.fullName}">Ayah dari</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/masterdata/employes/saudara/save(employes=${employes.id})}" th:object="${employeeSaudara}" method="post" enctype="multipart/form-data">
                    <div class="box-body">

                        <div class="form-group">
                            <label for="namaSaudara" class="col-sm-2 control-label">Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{namaSaudara}" name="namaSaudara" id="namaSaudara" placeholder="Name">
                                <p th:if="${#fields.hasErrors('namaSaudara')}" th:errors="*{namaSaudara}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="religion" class="col-sm-2 control-label">Agama</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="religion" th:field="*{agama}" id="religion" style="width: 100%;">
                                    <option th:each="data : ${listAgama}"
                                            th:text="${data.agama}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="tempatLahirSaudara" class="col-sm-2 control-label">Tempat Lahir</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{tempatLahirSaudara}" name="tempatLahirSaudara" id="tempatLahirSaudara" placeholder="Tempat Lahir">
                                <p th:if="${#fields.hasErrors('tempatLahirSaudara')}" th:errors="*{tempatLahirSaudara}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Tanggal lahir:</label>
                            <div class="col-sm-10">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control pull-right" id="tanggalLahir" th:field="*{tanggalLahir}" name="tanggalLahir" placeholder="MM/dd/yyyy">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="pendidikanTerakhirSaudara" class="col-sm-2 control-label">Pendidikan</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="pendidikanTerakhirSaudara" th:field="*{pendidikanTerakhirSaudara}" id="pendidikanTerakhirSaudara" style="width: 100%;">
                                    <option th:each="data : ${listJenjangPendidikan}"
                                            th:text="${data.kodePendidikan + ' - ' + data.namaPendidikan}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="jabatanTerakhirSaudara" class="col-sm-2 control-label">Jabatan Terakhir</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{jabatanTerakhirSaudara}" name="jabatanTerakhirSaudara" id="jabatanTerakhirSaudara" placeholder="Jabatan Terakhir Saudara">
                                <p th:if="${#fields.hasErrors('jabatanTerakhirSaudara')}" th:errors="*{jabatanTerakhirSaudara}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Status Hidup</label>

                            <div class="col-sm-10">
                                <label>
                                    <input name="statusHidup1" id="statusHidup1" type="radio" value="HIDUP" class="flat-red" th:field="*{statusHidup}">
                                    HIDUP
                                </label>
                                &nbsp;
                                <label>
                                    <input name="statusHidup2" id="statusHidup2" type="radio" value="MENINGGAL" class="flat-red" th:field="*{statusHidup}">
                                    MENINGGAL DUNIA
                                </label>
                            </div>
                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/masterdata/employes/keluarga(employes = ${employes.id})}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>